export const sizeLengend = (selection, props) => {
  const {sizeScale, spacing, textOffset, numTicks, circleFill, tickFormat} = props;
  const ticks = sizeScale.ticks(numTicks).filter(d => d !== 0).reverse();
  
  const backgroundRect = selection.selectAll('rect')
  	.data([null]);
  backgroundRect.enter().append('rect')
  	.merge(backgroundRect)
  		.attr('x', -50)
  		.attr('y', -80)
  		.attr('rx', 10)
  		.attr('width', 120)
  		.attr('height', 260)
  		.attr('fill', 'black')
  		.attr('opacity', 0.2);
  
  const groups = selection.selectAll('.tick').data(ticks, d => d.id);
	const groupsEnter = groups.enter().append('g').attr('class', 'tick');
  const circles = groups.select('circle');
  const text = groups.select('text');
  
  groupsEnter
  	.merge(groups)
  		.attr('transform', (d, i) =>
            'translate(-20, '+(i*spacing)+')'
  		);
  groups.exit().remove();
  
	groupsEnter
    .append('circle')
  	.merge(circles)
			.attr('fill', circleFill)
  		.attr('r', d => sizeScale(d));
  
	groupsEnter
    .append('text')
  	.merge(text)
			.text(tickFormat)
  		.attr('x', d => sizeScale(d) + textOffset)
  		.attr('dy', '0.32em');
}